/* *******************************************************
   KPilot - Hot-Sync Software for Unix.
   Copyright 1998 by Dan Pilone
   This code is released under the GNU PUBLIC LICENSE.
   Please see the file 'COPYING' included in the KPilot
   distribution.
   *******************************************************
 */

#ifndef __KPILOT_OPTIONS_H
#define __KPILOT_OPTIONS_H

#include <qtabdlg.h>
#include <qlined.h>
#include <qchkbox.h>
#include <qcombo.h>
#include <kfm.h>


class KPilotOptions : public QTabDialog
{
  Q_OBJECT
  
public:
  KPilotOptions(QWidget* parent);
  ~KPilotOptions();
  
 public slots:
 void commitChanges();
  void cancelChanges();
  
 private slots:
 void slotSetupDaemon();
  void slotKFMFinished();

private:
  void setupWidget();
  KFM* fKFM;

  QLineEdit* fPilotDevice;
  QComboBox* fPilotSpeed;
  QLineEdit* fUserName;
  
  QCheckBox* fSyncFiles;
  
  QCheckBox* fStartDaemonAtLogin;
  QCheckBox* fStartKPilotAtHotSync;
  QCheckBox* fDockDaemon;

  QCheckBox* fOverwriteRemote;
  
  // Address Prefs:
  QLineEdit* fIncomingFormat;
  QLineEdit* fOutgoingFormat;
  QCheckBox* fUseKeyField;
};

#endif
